solar_parameters = {
    'I_sc0': 8.0,  # 参考条件下的短路电流 (A)
    'V_b': 25,  # 基准电压
    'V_oc0': 36.0,  # 参考条件下的开路电压 (V)
    'R_s': 0.1,  # 串联电阻 (Ω)
    'R_sh': 100.0,  # 并联电阻 (Ω)
    'T_c': -0.2,  # 开路电压的温度系数 (V/°C)
    'O_c': 0.001,  # 变动成本系数 (元/千瓦时)
    'I_ref': 1000,  # 参考辐照度 (W/m²)
    'T_ref': 25,  # 参考温度 (°C)
}

wind_parameters = {
    'cutin_speed': 3,
    'cutout_speed': 12,
    'rated_speed': 8,
    'air_density': 1.225,
    'rotor_radius': 25,
    'power_coefficient': 0.5,
    'generator_efficiency': 0.9,
    'opex_cofficient': 0.01,
}

battery_parameters = {
    'capacity': 500,  # kw
    'max_charge': 100,  # kw
    'max_discharge': 100,  # kw
    'efficiency': 0.9,
    'degradation': 0.01,  # euro/kw
    'max_soc': 0.8,
    'min_soc': 0.2,
    'initial_capacity': 0.4
}

dg_parameters = {
    'gen_1': {'a': 0.0034, 'b': 3, 'c': 30,
              'power_output_max': 150, 'power_output_min': 10,
              'ramping_up': 100, 'ramping_down': 100, 'min_up': 2, 'min_down': 1},

    'gen_2': {'a': 0.001, 'b': 10, 'c': 40,
              'power_output_max': 375, 'power_output_min': 50,
              'ramping_up': 100, 'ramping_down': 100, 'min_up': 2, 'min_down': 1},

    'gen_3': {'a': 0.001, 'b': 15, 'c': 70,
              'power_output_max': 500, 'power_output_min': 100,
              'ramping_up': 200, 'ramping_down': 200, 'min_up': 2, 'min_down': 1}
}
